Copying of a ctool or cscript should initialise its log file

08/05/2016 02:36 PM - Knödlseder Jürgen

Status: In Progress Start date: 08/05/2016

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 50%

Category:  Estimated time: 0.00 hour

Target version:    

Description

For the moment the copying of an application leads to the copy writing into the same logfile as the original instance. This leads to a

confusing amount of information in the log file. It is advisable to flush at minimum the buffer before the copy, otherwise both tools will

write stuff in the buffer into the logfile.

In case that the logfile name is changed in the copied instance we should also take this in account, and the copy should write into a

new file. This would need some logic at the run() and execute() step. Maybe adding some initialisation method? Or renaming the

run() method of each tool into a run_tool() method that is pure virtual at ctool level and that needs to be implement by every ctool?

Then the run() method would be implemented at ctool level. This is anyway advisable to to the automatic switch-on of the debugging

in a single place.

History

#1 - 08/05/2016 11:59 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- Target version set to 1.2.0

The flushing of the log file before copying has been implemented. Code is now in devel.

What is still missing is the change of the log file name when a new name is specified as parameter. So far a call to logFileOpen is needed to take into

account the new filename.

#2 - 03/03/2017 10:50 AM - Knödlseder Jürgen

- Target version deleted (1.2.0)

#3 - 03/03/2017 10:50 AM - Knödlseder Jürgen

- % Done changed from 0 to 50
